Package org.eclipse.jdt.core.util

# Interface IAttributeNamesConstants

public interface IAttributeNamesConstants
Description of attribute names as described in the JVM specifications.

Since:
  2.0
Restriction:
  This interface is not intended to be implemented by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final char[]`
`ANNOTATION_DEFAULT`
"AnnotationDefault" attribute (added in J2SE 1.5).
`static final char[]`
`BOOTSTRAP_METHODS`
"BootstrapMethods" attribute (added in cldc1.0).
`static final char[]`
`CODE`
"Code" attribute.
`static final char[]`
`CONSTANT_VALUE`
"ConstantValue" attribute.
`static final char[]`
`DEPRECATED`
"Deprecated" attribute.
`static final char[]`
`ENCLOSING_METHOD`
"EnclosingMethod" attribute (added in J2SE 1.5).
`static final char[]`
`EXCEPTIONS`
"Exceptions" attribute.
`static final char[]`
`INNER_CLASSES`
"InnerClasses" attribute.
`static final char[]`
`LINE_NUMBER`
"LineNumberTable" attribute.
`static final char[]`
`LOCAL_VARIABLE`
"LocalVariableTable" attribute.
`static final char[]`
`LOCAL_VARIABLE_TYPE_TABLE`
"LocalVariableTypeTable" attribute (added in J2SE 1.5).
`static final char[]`
`METHOD_PARAMETERS`
"MethodParameters" attribute (added in jep118).
`static final char[]`
`MODULE`
"Module" attribute (added in Java SE 9).
`static final char[]`
`MODULE_MAIN_CLASS`
"ModuleMainClass" attribute (added in Java SE 9).
`static final char[]`
`MODULE_PACKAGES`
"ModulePackages" attribute (added in Java SE 9).
`static final char[]`
`NEST_HOST`
"NestHost" attribute (JVMS 11).
`static final char[]`
`NEST_MEMBERS`
"NestMembers" attribute (JVMS 11).
`static final char[]`
`PERMITTED_SUBCLASSES`
"PermittedSubclasses" attribute (JVMS 17).
`static final char[]`
`RECORD`
"Record" attribute (JVMS 14 - preview).
`static final char[]`
`RUNTIME_INVISIBLE_ANNOTATIONS`
"RuntimeInvisibleAnnotations" attribute (added in J2SE 1.5).
`static final char[]`
`RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS`
"RuntimeInvisibleParameterAnnotations" attribute (added in J2SE 1.5).
`static final char[]`
`RUNTIME_INVISIBLE_TYPE_ANNOTATIONS`
"RuntimeInvisibleTypeAnnotations" attribute (added in jsr 308).
`static final char[]`
`RUNTIME_VISIBLE_ANNOTATIONS`
"RuntimeVisibleAnnotations" attribute (added in J2SE 1.5).
`static final char[]`
`RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS`
"RuntimeVisibleParameterAnnotations" attribute (added in J2SE 1.5).
`static final char[]`
`RUNTIME_VISIBLE_TYPE_ANNOTATIONS`
"RuntimeVisibleTypeAnnotations" attribute (added in jsr 308).
`static final char[]`
`SIGNATURE`
"Signature" attribute (added in J2SE 1.5).
`static final char[]`
`SOURCE`
"SourceFile" attribute.
`static final char[]`
`STACK_MAP`
"StackMap" attribute (added in cldc1.0).
`static final char[]`
`STACK_MAP_TABLE`
"StackMapTable" attribute (added in J2SE 1.6).
`static final char[]`
`SYNTHETIC`
"Synthetic" attribute.

## Field Details

### SYNTHETIC

static final char[] SYNTHETIC
"Synthetic" attribute.

Note that prior to JDK 1.5, synthetic elements were always marked using an attribute; with 1.5, synthetic elements can also be marked using the `IModifierConstants.ACC_SYNTHETIC` flag.

Since:
  2.0

### CONSTANT_VALUE

static final char[] CONSTANT_VALUE
"ConstantValue" attribute.

Since:
  2.0

### LINE_NUMBER

static final char[] LINE_NUMBER
"LineNumberTable" attribute.

Since:
  2.0

### LOCAL_VARIABLE

static final char[] LOCAL_VARIABLE
"LocalVariableTable" attribute.

Since:
  2.0

### INNER_CLASSES

static final char[] INNER_CLASSES
"InnerClasses" attribute.

Since:
  2.0

### CODE

static final char[] CODE
"Code" attribute.

Since:
  2.0

### EXCEPTIONS

static final char[] EXCEPTIONS
"Exceptions" attribute.

Since:
  2.0

### SOURCE

static final char[] SOURCE
"SourceFile" attribute.

Since:
  2.0

### DEPRECATED

static final char[] DEPRECATED
"Deprecated" attribute.

Since:
  2.0

### SIGNATURE

static final char[] SIGNATURE
"Signature" attribute (added in J2SE 1.5). Class file readers which support J2SE 1.5 return attributes with this name represented by objects implementing `ISignatureAttribute`.

Since:
  3.0

### ENCLOSING_METHOD

static final char[] ENCLOSING_METHOD
"EnclosingMethod" attribute (added in J2SE 1.5). Class file readers which support J2SE 1.5 return attributes with this name represented by objects implementing `IEnclosingMethodAttribute`.

Since:
  3.0

### LOCAL_VARIABLE_TYPE_TABLE

static final char[] LOCAL_VARIABLE_TYPE_TABLE
"LocalVariableTypeTable" attribute (added in J2SE 1.5).

Since:
  3.0

### RUNTIME_VISIBLE_ANNOTATIONS

static final char[] RUNTIME_VISIBLE_ANNOTATIONS
"RuntimeVisibleAnnotations" attribute (added in J2SE 1.5).

Since:
  3.0

### RUNTIME_INVISIBLE_ANNOTATIONS

static final char[] RUNTIME_INVISIBLE_ANNOTATIONS
"RuntimeInvisibleAnnotations" attribute (added in J2SE 1.5).

Since:
  3.0

### RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS

static final char[] RUNTIME_VISIBLE_PARAMETER_ANNOTATIONS
"RuntimeVisibleParameterAnnotations" attribute (added in J2SE 1.5).

Since:
  3.0

### RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS

static final char[] RUNTIME_INVISIBLE_PARAMETER_ANNOTATIONS
"RuntimeInvisibleParameterAnnotations" attribute (added in J2SE 1.5).

Since:
  3.0

### ANNOTATION_DEFAULT

static final char[] ANNOTATION_DEFAULT
"AnnotationDefault" attribute (added in J2SE 1.5).

Since:
  3.0

### STACK_MAP_TABLE

static final char[] STACK_MAP_TABLE
"StackMapTable" attribute (added in J2SE 1.6).

Since:
  3.2

### STACK_MAP

static final char[] STACK_MAP
"StackMap" attribute (added in cldc1.0).

Since:
  3.2

### RUNTIME_VISIBLE_TYPE_ANNOTATIONS

static final char[] RUNTIME_VISIBLE_TYPE_ANNOTATIONS
"RuntimeVisibleTypeAnnotations" attribute (added in jsr 308).

Since:
  3.10

### RUNTIME_INVISIBLE_TYPE_ANNOTATIONS

static final char[] RUNTIME_INVISIBLE_TYPE_ANNOTATIONS
"RuntimeInvisibleTypeAnnotations" attribute (added in jsr 308).

Since:
  3.10

### BOOTSTRAP_METHODS

static final char[] BOOTSTRAP_METHODS
"BootstrapMethods" attribute (added in cldc1.0).

Since:
  3.8

### METHOD_PARAMETERS

static final char[] METHOD_PARAMETERS
"MethodParameters" attribute (added in jep118).

Since:
  3.10

### MODULE

static final char[] MODULE
"Module" attribute (added in Java SE 9).

Since:
  3.14

### MODULE_PACKAGES

static final char[] MODULE_PACKAGES
"ModulePackages" attribute (added in Java SE 9).

Since:
  3.14

### MODULE_MAIN_CLASS

static final char[] MODULE_MAIN_CLASS
"ModuleMainClass" attribute (added in Java SE 9).

Since:
  3.14

### NEST_HOST

static final char[] NEST_HOST
"NestHost" attribute (JVMS 11).

Since:
  3.16

### NEST_MEMBERS

static final char[] NEST_MEMBERS
"NestMembers" attribute (JVMS 11).

Since:
  3.16

### RECORD

static final char[] RECORD
"Record" attribute (JVMS 14 - preview).

Since:
  3.22

### PERMITTED_SUBCLASSES

static final char[] PERMITTED_SUBCLASSES
"PermittedSubclasses" attribute (JVMS 17).

Since:
  3.24